#!/usr/bin/node

// require library
var imagetyperzapi = require('../');

// get access token from: http://www.imagetyperz.com/Forms/ClientHome.aspx
const ACCESS_KEY = 'access_token_here';
imagetyperzapi.set_access_key(ACCESS_KEY);

async function test_api() {
    var captcha_params = {};
    captcha_params.page_url = 'https://your-site.com';
    captcha_params.sitekey = '8c7062c7-cae6-4e12-96fb-303fbec7fe4f';
    // captcha_params.invisible = '1';     // if captcha is invisible - optional

    // domain used in loading of hcaptcha interface, default: hcaptcha.com - optional
    // captcha_params.domain = 'hcaptcha.com'

    // extra parameters, useful for enterprise
    // submit userAgent from requests too, when this is used
    // captcha_params.HcaptchaEnterprise = {
    //        'rq_data': 'take value from web requests'
    // }

    // captcha_params.proxy = '126.45.34.53:123';     // optional
    // captcha_params.user_agent = 'Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0';   // optional

    // get balance
    const balance = await imagetyperzapi.account_balance();
    console.log('Balance:', balance);   // print balance gathered

    // solve captcha
    const captchaID = await imagetyperzapi.submit_hcaptcha(captcha_params);
    console.log('Waiting for captcha to be solved ...');
    const response = await imagetyperzapi.retrieve_response(captchaID)   // wait for response to get solved
    console.log(`Response: ${JSON.stringify(response)}`)
}

async function main () {
    try {
        await test_api()
    } catch (err) {
        console.log(`Error: ${err.message || err}`)
    }
}

main()
